Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSSimRingCallbackStatusParameters Class Reference

This class represents the callback / simultaneous ring feature details for the current user extension. More...

`#import <CSSimRingCallbackStatusParameters.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - init
| Constructs an empty CSSimRingCallbackStatusParameters object. More...
(instancetype) | - initWithDestination1:destination2:destination3:destination4:defaultCallbackDestinationNumber:
| Constructs a CSSimRingCallbackStatusParameters object from the specified parameters. More...

## Properties
CSSimRingCallbackDestination * | destination1
| The first callback / simultaneous ring destination. More...
CSSimRingCallbackDestination * | destination2
| The second callback / simultaneous ring destination. More...
CSSimRingCallbackDestination * | destination3
| The third callback / simultaneous ring destination. More...
CSSimRingCallbackDestination * | destination4
| The fourth callback / simultaneous ring destination. More...
NSString * | defaultCallbackDestinationNumber
| The default callback destination number. More...

## Detailed Description

This class represents the callback / simultaneous ring feature details for the current user extension.

See also
  CSCallFeatureService::simRingCallback
  CSCallFeatureServiceDelegate::callFeatureService:didChangeSimRingCallbackStatus:

## Method Documentation

- (instancetype) init |  |  |

Constructs an empty CSSimRingCallbackStatusParameters object.

- (instancetype) initWithDestination1: |  | (CSSimRingCallbackDestination *) | destination1
destination2: |  | (CSSimRingCallbackDestination *) | destination2
destination3: |  | (CSSimRingCallbackDestination *) | destination3
destination4: |  | (CSSimRingCallbackDestination *) | destination4
defaultCallbackDestinationNumber: |  | (NSString *) | defaultCallbackDestinationNumber

Constructs a CSSimRingCallbackStatusParameters object from the specified parameters.

Parameters

  destination1 | The first callback / simultaneous ring destination.
  destination2 | The second callback / simultaneous ring destination.
  destination3 | The third callback / simultaneous ring destination.
  destination4 | The fourth callback / simultaneous ring destination.
  defaultCallbackDestinationNumber | The default callback destination number. Can be empty (nil or ""). If set up, this number will be used as a source from where the callback call is initiated if it is not explicitly specified in the

See also
  CSCallFeatureService::invokeCallbackCall:withRemoteAddress:completionHandler: feature call.

## Property Documentation

- (NSString*) defaultCallbackDestinationNumber
| read nonatomic assign

The default callback destination number.

Can be empty. If set up, this number will be used as a source from where the callback call is initiated if it is not explicitly specified in the

See also
  CSCallFeatureService::invokeCallbackCall:withRemoteAddress:completionHandler: feature call.

- (CSSimRingCallbackDestination*) destination1
| read nonatomic assign

The first callback / simultaneous ring destination.

- (CSSimRingCallbackDestination*) destination2
| read nonatomic assign

The second callback / simultaneous ring destination.

- (CSSimRingCallbackDestination*) destination3
| read nonatomic assign

The third callback / simultaneous ring destination.

- (CSSimRingCallbackDestination*) destination4
| read nonatomic assign

The fourth callback / simultaneous ring destination.

The documentation for this class was generated from the following file:

- CSSimRingCallbackStatusParameters.h